import { $httpWithMsg } from "../../plugins/axios";
import { QUESTION_API } from "@/constants/constants";

// common select
export const courseQueryApi = (name, enable) => {
  return $httpWithMsg.get(`${QUESTION_API}/course/query`, {
    params: {
      name,
      enable: enable || undefined,
    },
  });
};
export const propertyNameQueryApi = (courseId, name) => {
  return $httpWithMsg.get(`${QUESTION_API}/courseProperty/enable`, {
    params: {
      courseId,
      name,
    },
  });
};
export const propertyFirstQueryApi = (coursePropertyId) => {
  return $httpWithMsg.get(`${QUESTION_API}/property/first/${coursePropertyId}`);
};
export const propertySecondQueryApi = (firstPropertyId) => {
  return $httpWithMsg.get(`${QUESTION_API}/property/second/${firstPropertyId}`);
};

// question-manage
export function questionPageListApi(data, { pageNo, pageSize }) {
  const url = `${QUESTION_API}/importPaper/${pageNo}/${pageSize}`;
  return $httpWithMsg.get(url, { params: data });
}
export function deleteQuestionApi(questionId) {
  return $httpWithMsg.get(`${QUESTION_API}/paper/deleteQuestion/${questionId}`);
}
export function moveQuestionApi(questionId, folderId) {
  return $httpWithMsg.get(`${QUESTION_API}/paper/moveQuestion/`, {
    params: { questionId, folderId },
  });
}
export function copyQuestionApi(questionId) {
  return $httpWithMsg.get(`${QUESTION_API}/paper/copyQuestion/`, {
    params: { questionId },
  });
}
export function importQuestionApi(data, headData) {
  return $httpWithMsg.post(`${QUESTION_API}/paper/copyQuestion/`, data, {
    headers: headData,
  });
}
export function updateQuestionApi(data) {
  return $httpWithMsg.post(`${QUESTION_API}/question/save`, data, {
    params: { courseId: data.courseId },
  });
  // return Promise.resolve(data);
}
// statistics
import distributionData from "./datas/distributionData.json";
export function questionDistributionStatisticsApi(courseId) {
  // return $httpWithMsg.post(`${QUESTION_API}/question/statistic/distribution`, {
  //   params: { courseId },
  // });
  return Promise.resolve({ data: distributionData, courseId });
}
import distributionPropData from "./datas/distributionPropData.json";
export function questionPropertyDistributionStatisticsApi(data) {
  // return $httpWithMsg.post(
  //   `${QUESTION_API}/question/statistic/property_distribution`,
  //   {
  //     params: data,
  //   }
  // );
  return Promise.resolve({ data: distributionPropData, filter: data });
}
